Subject: Re: [PATCH net-next v5] net: sfp: extend SMBus support

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 22 Jan 2026 16:22:44 +0000

On Thu, Jan 22, 2026 at 05:04:29PM +0100, Andrew Lunn wrote:
> On Thu, Jan 22, 2026 at 11:14:03AM +0100, Jonas Jelonek wrote:
> > Hi Andrew,
> > 
> > On 18.01.26 16:39, Andrew Lunn wrote:
> > > On Sun, Jan 18, 2026 at 10:43:12AM +0100, Jonas Jelonek wrote:
> > >> Hi,
> > >>
> > >> On 16.01.26 15:25, Andrew Lunn wrote:
> > >>>> But let's first figure-out if word-only smbus are really a thing
> > >>> Some grep foo on /drivers/i2c/busses might answer that.
> > >> Did that and haven't found any driver in mainline which is word-only.
> > >> All drivers with word access capability have byte access too.
> > > So for the moment, maybe add a WARN_ON() for an I2C bus that only
> > > supports word access, and we can deal with it only if we ever get a
> > > report of it firing.
> > 
> > Should it just have a WARN_ON and continue (so it may work in some cases)
> > or fail at that point? 
> 
> I guess doing a word access when a byte access is wanted will either
> work, or immediately kill the I2C bus because the SFP is broken and
> only supports byte access, and the dead I2C bus will cause a cascade
> of errors.

RTL8672 / RTL9601C based xPON SFPs are an example, they need single
byte access.

Conversely, we have the Nokia 3FE46541AA GPON module which locks up
the I2C bus if one reads the EEPROM (i2c 0x50) offset 0x51 using a
single byte read.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!